Package: org.apache.groovy.json.internal

## [Java] Interface Cache<KEY, VALUE>

-     public interface Cache<KEY, VALUE>

  Cache

  Type Parameters:
    `KEY` - key
    `VALUE` - value

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public VALUE` | `get(KEY key)`
    `` | `public VALUE` | `getSilent(KEY key)`
    `` | `public void` | `put(KEY key, VALUE value)`
    `` | `public void` | `remove(KEY key)`
    `` | `public int` | `size()`

- - ### Method Detail

    - #### public VALUE get(KEY key)

    - #### public VALUE getSilent(KEY key)

    - #### public void put(KEY key, VALUE value)

    - #### public void remove(KEY key)

    - #### public int size()